<template>
  <div
    class="smallalbum"
    :class="{
      follower_albums_album: displayGenre,
      'smallalbum-for-search': forSearch
    }"
  >
    <a
      v-if="withCloseBox"
      class="WishlistBoxClose"
      href="#"
      @click.prevent="$emit('delete-album')"
      ><img
        class="icon-close"
        :src="require('~/assets/images/times-circle-o.svg')"
    /></a>

    <a :href="album.url">
      <div class="imageContainer">
        <img :src="getImageUrl" />
      </div>
    </a>
    <a :href="album.url">
      <div class="title">
        <i :class="'flag flag-16 flag-' + album.language"></i>
        {{ $utils.getTitle(album) }}
      </div>
    </a>
    <StarRank :avgstar="album.rate" :countnote="album.rate_amount" />
    <nuxt-link
      :to="{
        name: 'cataloggender',
        params: { shelf: album.shelf_slug, gender: album.gender_slug }
      }"
    >
      <div class="gender">{{ album.gender_name }}</div>
    </nuxt-link>
    <p v-if="forSearch" class="price text text--sm text--primary text--medium">
      <span v-if="album.oldprice !== 'N/A'">
        <del>
          <PriceFormat :price="album.oldprice" />
        </del>
      </span>
      <span class="product_lower_price">
        <span v-if="album.price == 'N/A'">N/A</span>
        <span v-else-if="album.price === '0.00'">{{ $t('serie.free') }}</span>
        <PriceFormat v-else :price="album.price" />
      </span>
    </p>
  </div>
</template>

<script>
import StarRank from '@/components/ui/StarRank'

export default {
  name: 'Smallalbum',
  components: { StarRank },
  props: {
    album: {
      type: Object,
      required: true
    },
    displayGenre: {
      type: Boolean,
      default: false
    },
    forSearch: {
      type: Boolean,
      default: false
    },
    withCloseBox: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    getImageUrl() {
      return `${this.$axios.defaults.baseURL}/${this.$i18n.locale}/images/album/${this.album.ean}-170or240.jpg?v=${this.album.version}`
    }
  }
}
</script>

<style scoped lang="scss">
.smallalbum {
  display: inline-block;
  padding: 0px 40px;
  max-width: 21%;
  .title {
    margin: 10px 0px 5px;
    font-size: 14px;
  }

  .starrank .icon {
    font-size: 11px;
  }

  @media only screen and (max-width: 767px) {
    max-width: 100%;
    padding: 0 15px;
  }
}

.gender {
  font-size: 0.8em;
  padding-top: 7px;
}
.follower_albums_album .title {
  font-weight: 700;
}

a.WishlistBoxClose {
  float: right;
  position: relative;
  top: 12px;
  right: -15px;
  margin-top: -24px;
  cursor: pointer;
  background-color: #fff;
  color: #ff641e;
  border-radius: 30px;
  font-size: 25px;
  font-weight: 700;
  display: block;
  line-height: 0;
  padding: 0 0;
  z-index: 5;

  .icon-close {
    background-color: white;
    border-radius: 30px;
    width: 21px;
  }
}
</style>
